--[[

ARL-BeastTrain.lua

Beast Training data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")

function ARL:ARL_InitBeastTraining()

	ARL:ARL_InitializeRecipeArray()

	ARL:addTradeSkillBeast(24495, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24508, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24509, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24510, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27350, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(35699, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(35700, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(25077, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24440, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24441, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24463, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24464, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27351, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24475, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24476, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24477, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24478, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27352, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4195, 10, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4196, 12, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4197, 18, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4198, 24, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4199, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4200, 36, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4201, 42, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4202, 48, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(5048, 54, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(5049, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27062, 70, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24547, 10, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24556, 12, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24557, 18, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24558, 24, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24559, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24560, 36, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24561, 42, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24562, 48, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24631, 54, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24632, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27362, 70, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24494, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24511, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24512, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24513, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27354, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24490, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24514, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24515, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24516, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27353, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(17253, 1, L["Bite (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(17255, 10, L["Bite (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(17256, 16, L["Bite (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(17257, 24, L["Bite (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(17258, 32, L["Bite (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(17259, 40, L["Bite (Rank 6) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(17260, 48, L["Bite (Rank 7) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(17261, 56, L["Bite (Rank 8) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(27050, 64, L["Bite (Rank 9) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(16827, 1, L["Claw (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(16828, 10, L["Claw (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(16829, 16, L["Claw (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(16830, 24, L["Claw (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(16831, 32, L["Claw (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(16832, 40, L["Claw (Rank 6) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(3010, 48, L["Claw (Rank 7) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(3009, 56, L["Claw (Rank 8) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(27049, 64, L["Claw (Rank 9) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(7371, 10, L["Charge (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26177, 12, L["Charge (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26178, 24, L["Charge (Rank 3) Obt"], {"HUNTER"})
	--ARL:addTradeSkillBeast(26179, 36, L["Charge (Rank 4) Obt"], {"HUNTER"}) -- No charge rank 4 in the game
	ARL:addTradeSkillBeast(26201, 48, L["Charge (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(27685, 60, L["Charge (Rank 6) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(1747, 10, L["Cower (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(1748, 15, L["Cower (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(1749, 25, L["Cower (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(1750, 35, L["Cower (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(1751, 45, L["Cower (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(16698, 55, L["Cower (Rank 6) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(27346, 65, L["Cower (Rank 7) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23100, 30, L["Dash (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23111, 40, L["Dash (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23112, 50, L["Dash (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23145, 30, L["Dive (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23147, 40, L["Dive (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23148, 50, L["Dive (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(34889, 1, L["Fire Breath (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35323, 60, L["Fire Breath (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24604, 10, L["Furious Howl (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24605, 24, L["Furious Howl (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24603, 40, L["Furious Howl (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24597, 56, L["Furious Howl (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35290, 1, L["Gore (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35291, 8, L["Gore (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35292, 16, L["Gore (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35293, 24, L["Gore (Rank 4) Obt"], {"HUNTER"})
	--ARL:addTradeSkillBeast(35294, 32, L["Gore (Rank 5) Obt"], {"HUNTER"}) -- Not in game
	--ARL:addTradeSkillBeast(35295, 40, L["Gore (Rank 6) Obt"], {"HUNTER"}) -- Not in game
	ARL:addTradeSkillBeast(35296, 48, L["Gore (Rank 7) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35297, 56, L["Gore (Rank 8) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35298, 63, L["Gore (Rank 9) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(1853, 10, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14922, 10, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14923, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14924, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14925, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14926, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14927, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27344, 70, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24844, 1, L["Lightning Breath (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25008, 12, L["Lightning Breath (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25009, 24, L["Lightning Breath (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25010, 36, L["Lightning Breath (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25011, 48, L["Lightning Breath (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25012, 60, L["Lightning Breath (Rank 6) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35387, 15, L["Poison Spit (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35389, 45, L["Poison Spit (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35392, 60, L["Poison Spit (Rank 3) Obt"], {"HUNTER"})	
	ARL:addTradeSkillBeast(24451, 30, L["Prowl (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24454, 40, L["Prowl (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24455, 50, L["Prowl (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24641, 10, L["Scorpid Poison (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24584, 24, L["Scorpid Poison (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24588, 40, L["Scorpid Poison (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24589, 56, L["Scorpid Poison (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(27361, 64, L["Scorpid Poison (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24424, 10, L["Screech (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24580, 24, L["Screech (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24581, 48, L["Screech (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24582, 56, L["Screech (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(27349, 64, L["Screech (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26064, 20, L["Shell Shield (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26090, 30, L["Thunderstomp (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26187, 40, L["Thunderstomp (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26188, 50, L["Thunderstomp (Rank 3) Obt"], {"HUNTER"})
	--ARL:addTradeSkillBeast(27063, 60, L["Thunderstomp (Rank 4) Obt"], {"HUNTER"}) -- Not in game
	ARL:addTradeSkillBeast(35348, 60, L["Warp (Rank 1) Obt"], {"HUNTER"})

end