--[[

ARL-Enchant.lua

Enchanting data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BFAC		= LibStub("LibBabble-Faction-3.0"):GetLookupTable()

function ARL:ARL_InitEnchanting()

	--local Version
	--if _G.GetSpellInfo then Version = "2.4" else Version = "2.3" end

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkillSpell(7418, 1, L["Trainer"])
	ARL:addTradeSkillSpell(7428, 1, L["Trainer"])
	ARL:addTradeSkillSpell(7421, 1, L["Trainer"])
	ARL:addTradeSkillSpell(7420, 15, L["Trainer"])
	ARL:addTradeSkillSpell(14293, 15, L["Trainer"])
	ARL:addTradeSkillSpell(7426, 40, L["Trainer"])
	ARL:addTradeSkillSpell(7454, 45, L["Trainer"])
	ARL:addTradeSkillSpell(7457, 50, L["Trainer"])
	ARL:addTradeSkillSpell(7748, 60, L["Trainer"])
	ARL:addTradeSkillSpell(7771, 70, L["Trainer"])
	ARL:addTradeSkillSpell(14807, 70, L["Trainer"])
	ARL:addTradeSkillSpell(7779, 80, L["Trainer"])
	ARL:addTradeSkillSpell(7788, 90, L["Trainer"])
	ARL:addTradeSkillSpell(7745, 100, L["Trainer"])
	ARL:addTradeSkillSpell(7795, 100, L["Trainer"])
	ARL:addTradeSkillSpell(13378, 105, L["Trainer"])
	ARL:addTradeSkillSpell(13421, 115, L["Trainer"])
	ARL:addTradeSkillSpell(7857, 120, L["Trainer"])
	ARL:addTradeSkillSpell(7861, 125, L["Trainer"])
	ARL:addTradeSkillSpell(7863, 125, L["Trainer"])
	ARL:addTradeSkillSpell(13501, 130, L["Trainer"])
	ARL:addTradeSkillSpell(13485, 130, L["Trainer"])
	ARL:addTradeSkillSpell(13503, 140, L["Trainer"])
	ARL:addTradeSkillSpell(13538, 140, L["Trainer"])
	ARL:addTradeSkillSpell(13529, 145, L["Trainer"])
	ARL:addTradeSkillSpell(13607, 145, L["Trainer"])
	ARL:addTradeSkillSpell(13626, 150, L["Trainer"])
	ARL:addTradeSkillSpell(13628, 150, L["Trainer"])
	ARL:addTradeSkillSpell(14809, 155, L["Trainer"])
	ARL:addTradeSkillSpell(13622, 150, L["Trainer"])
	ARL:addTradeSkillSpell(13631, 155, L["Trainer"])
	ARL:addTradeSkillSpell(13635, 155, L["Trainer"])
	ARL:addTradeSkillSpell(13637, 160, L["Trainer"])
	ARL:addTradeSkillSpell(13640, 160, L["Trainer"])
	ARL:addTradeSkillSpell(13642, 165, L["Trainer"])
	ARL:addTradeSkillSpell(13644, 170, L["Trainer"])
	ARL:addTradeSkillSpell(13648, 170, L["Trainer"])
	ARL:addTradeSkillSpell(13657, 175, L["Trainer"])
	ARL:addTradeSkillSpell(14810, 175, L["Trainer"])
	ARL:addTradeSkillSpell(13659, 180, L["Trainer"])
	ARL:addTradeSkillSpell(13661, 180, L["Trainer"])
	ARL:addTradeSkillSpell(13663, 185, L["Trainer"])
	ARL:addTradeSkillSpell(13693, 195, L["Trainer"])
	ARL:addTradeSkillSpell(13695, 200, L["Trainer"])
	ARL:addTradeSkillSpell(13700, 200, L["Trainer"])
	ARL:addTradeSkillSpell(13702, 200, L["Trainer"])
	ARL:addTradeSkillSpell(13746, 205, L["Trainer"])
	ARL:addTradeSkillSpell(13794, 205, L["Trainer"])
	ARL:addTradeSkillSpell(13822, 210, L["Trainer"])
	ARL:addTradeSkillSpell(13815, 210, L["Trainer"])
	ARL:addTradeSkillSpell(13836, 215, L["Trainer"])
	ARL:addTradeSkillSpell(13858, 220, L["Trainer"])
	ARL:addTradeSkillSpell(13887, 225, L["Trainer"])
	ARL:addTradeSkillSpell(13890, 225, L["Trainer"])
	ARL:addTradeSkillSpell(13905, 230, L["Trainer"])
	ARL:addTradeSkillSpell(13917, 230, L["Trainer"])
	ARL:addTradeSkillSpell(13935, 235, L["Trainer"])
	ARL:addTradeSkillSpell(13937, 240, L["Trainer"])
	ARL:addTradeSkillSpell(13939, 240, L["Trainer"])
	ARL:addTradeSkillSpell(13941, 245, L["Trainer"])
	ARL:addTradeSkillSpell(13943, 245, L["Trainer"])
	ARL:addTradeSkillSpell(13948, 250, L["Trainer"])
	ARL:addTradeSkillSpell(17181, 250, L["Trainer"])
	ARL:addTradeSkillSpell(17180, 250, L["Trainer"])
	ARL:addTradeSkillSpell(20008, 255, L["Trainer"])
	ARL:addTradeSkillSpell(20014, 265, L["Trainer"])
	ARL:addTradeSkillSpell(20012, 270, L["Trainer"])
	ARL:addTradeSkillSpell(20016, 280, L["Trainer"])
	ARL:addTradeSkillSpell(20028, 290, L["Trainer"])
	ARL:addTradeSkillSpell(20013, 295, L["Trainer"])
	ARL:addTradeSkillSpell(20023, 295, L["Trainer"])
	ARL:addTradeSkillSpell(42615, 295, L["Trainer"])
	ARL:addTradeSkillSpell(32664, 300, L["Trainer"])
	ARL:addTradeSkillSpell(33991, 300, L["Trainer"])
	ARL:addTradeSkillSpell(34002, 300, L["Trainer"])
	ARL:addTradeSkillSpell(33993, 305, L["Trainer"])
	ARL:addTradeSkillSpell(27899, 305, L["Trainer"])
	ARL:addTradeSkillSpell(34001, 305, L["Trainer"])
	ARL:addTradeSkillSpell(33996, 310, L["Trainer"])
	ARL:addTradeSkillSpell(27944, 310, L["Trainer"])
	ARL:addTradeSkillSpell(34004, 310, L["Trainer"])
	ARL:addTradeSkillSpell(27961, 310, L["Trainer"])
	ARL:addTradeSkillSpell(27905, 315, L["Trainer"])
	ARL:addTradeSkillSpell(27957, 315, L["Trainer"])
	ARL:addTradeSkillSpell(44383, 330, L["Trainer"])
	ARL:addTradeSkillSpell(33990, 320, L["Trainer"])
	ARL:addTradeSkillSpell(28027, 325, L["Trainer"])
	ARL:addTradeSkillSpell(33995, 340, L["Trainer"])
	ARL:addTradeSkillSpell(28028, 350, L["Trainer"])
	ARL:addTradeSkillSpell(42613, 350, L["Trainer"])
	
	-- Vendor Recipes
	ARL:addTradeSkillSpell(7443, 20, ARL:ARL_AddVendor({32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 48}, false))
	ARL:addTradeSkillSpell(25124, 45, ARL:ARL_AddVendor({32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 48}, false))
	ARL:addTradeSkillSpell(7776, 80, ARL:ARL_AddVendor({40, 42}, false))
	ARL:addTradeSkillSpell(7793, 100, ARL:ARL_AddVendor({40, 41, 45, 47}, false))
	ARL:addTradeSkillSpell(13419, 110, ARL:ARL_AddVendor({195, 196}, false))
	ARL:addTradeSkillSpell(7867, 125, ARL:ARL_AddVendor({45, 19}, false))
	ARL:addTradeSkillSpell(13536, 140, ARL:ARL_AddVendor({195, 196}, false))
	ARL:addTradeSkillSpell(20015, 285, ARL:ARL_AddVendor({56}, false))
	ARL:addTradeSkillSpell(25125, 150, ARL:ARL_AddVendor({32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 48}, false))
	ARL:addTradeSkillSpell(13646, 170, ARL:ARL_AddVendor({113, 29}, false))
	ARL:addTradeSkillSpell(25126, 200, ARL:ARL_AddVendor({32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 48}, false))
	ARL:addTradeSkillSpell(13931, 235, ARL:ARL_AddVendor({197, 193}, false))
	ARL:addTradeSkillSpell(25127, 250, ARL:ARL_AddVendor({39}, false))
	ARL:addTradeSkillSpell(20017, 265, ARL:ARL_AddVendor({191, 193}, false))
	ARL:addTradeSkillSpell(20026, 275, ARL:ARL_AddVendor({53}, false))
	ARL:addTradeSkillSpell(25128, 275, ARL:ARL_AddVendor({39}, false))
	ARL:addTradeSkillSpell(20051, 290, ARL:ARL_AddVendor({56}, false))
	ARL:addTradeSkillSpell(28016, 310, ARL:ARL_AddVendor({34, 43, 44}, false))
	ARL:addTradeSkillSpell(27945, 325, ARL:ARL_AddVendor({204}, false))
	ARL:addTradeSkillSpell(34009, 325, ARL:ARL_AddVendor({44}, false))
	ARL:addTradeSkillSpell(28022, 335, ARL:ARL_AddVendor({34, 43, 44}, false))
	ARL:addTradeSkillSpell(28019, 340, ARL:ARL_AddVendor({34, 43, 44}, false))
	ARL:addTradeSkillSpell(32665, 350, ARL:ARL_AddVendor({198, 199}, false))
	ARL:addTradeSkillSpell(32667, 375, ARL:ARL_AddVendor({44}, false))

	-- World Drops
	ARL:addTradeSkillSpell(7766, 60, L["UWD"])
	ARL:addTradeSkillSpell(7782, 80, L["UWD"])
	ARL:addTradeSkillSpell(7786, 90, L["UWD"])
	ARL:addTradeSkillSpell(13380, 110, L["UWD"])
	ARL:addTradeSkillSpell(13464, 115, L["UWD"])
	ARL:addTradeSkillSpell(7859, 120, L["UWD"])
	ARL:addTradeSkillSpell(13522, 135, L["UWD"])
	ARL:addTradeSkillSpell(13653, 175, L["UWD"])
	ARL:addTradeSkillSpell(13655, 175, L["UWD"])
	ARL:addTradeSkillSpell(13687, 190, L["UWD"])
	ARL:addTradeSkillSpell(13689, 195, L["UWD"])
	ARL:addTradeSkillSpell(13817, 210, L["UWD"])
	ARL:addTradeSkillSpell(13846, 220, L["UWD"])
	ARL:addTradeSkillSpell(13915, 230, L["UWD"])
	ARL:addTradeSkillSpell(13933, 235, L["UWD"])
	ARL:addTradeSkillSpell(13945, 245, L["UWD"])
	ARL:addTradeSkillSpell(13947, 250, L["UWD"])
	ARL:addTradeSkillSpell(20020, 255, L["UWD"])
	ARL:addTradeSkillSpell(20009, 270, L["UWD"])
	ARL:addTradeSkillSpell(20024, 275, L["UWD"])
	ARL:addTradeSkillSpell(20011, 300, L["UWD"])
	ARL:addTradeSkillSpell(20025, 300, L["UWD"])
	ARL:addTradeSkillSpell(27948, 305, L["UWD"])
	ARL:addTradeSkillSpell(27962, 330, L["UWD"])
	ARL:addTradeSkillSpell(27913, 335, L["UWD"])
	ARL:addTradeSkillSpell(27946, 340, L["UWD"])
	ARL:addTradeSkillSpell(33992, 345, L["UWD"])
	ARL:addTradeSkillSpell(27972, 350, L["UWD"])
	ARL:addTradeSkillSpell(27947, 360, L["UWD"])
	ARL:addTradeSkillSpell(28003, 360, L["UWD"])
	ARL:addTradeSkillSpell(28004, 360, L["UWD"])
	ARL:addTradeSkillSpell(34007, 360, L["RWD"])
	ARL:addTradeSkillSpell(34008, 360, L["RWD"])

	-- Specific Drops
	ARL:addTradeSkillSpell(13612, 145, L["Enchant Gloves - Mining Obt"])
	ARL:addTradeSkillSpell(13617, 145, L["Enchant Gloves - Herbalism Obt"])
	ARL:addTradeSkillSpell(13620, 145, L["Enchant Gloves - Fishing Obt"])
	ARL:addTradeSkillSpell(13698, 200, L["Enchant Gloves - Skinning Obt"])
	ARL:addTradeSkillSpell(13841, 215, L["Enchant Gloves - Advanced Mining Obt"])
	ARL:addTradeSkillSpell(13868, 225, L["Enchant Gloves - Advanced Herbalism Obt"])
	ARL:addTradeSkillSpell(13882, 225, L["Enchant Cloak - Lesser Agility Obt"])
	ARL:addTradeSkillSpell(13898, 265, L["Enchant Weapon - Fiery Weapon Obt"])
	ARL:addTradeSkillSpell(15596, 265, L["Smoking Heart of the Mountain Obt"])
	ARL:addTradeSkillSpell(20029, 285, L["Enchant Weapon - Icy Chill Obt"])
	ARL:addTradeSkillSpell(20010, 295, L["Enchant Bracer - Superior Strength Obt"])
	ARL:addTradeSkillSpell(20030, 295, L["Enchant 2H Weapon - Superior Impact Obt"])
	ARL:addTradeSkillSpell(20033, 295, L["Enchant Weapon - Unholy Weapon Obt"])
	ARL:addTradeSkillSpell(20036, 300, L["Enchant 2H Weapon - Major Intellect Obt"])
	ARL:addTradeSkillSpell(20031, 300, L["Enchant Weapon - Superior Striking Obt"])
	ARL:addTradeSkillSpell(20034, 300, L["Enchant Weapon - Crusader Obt"])
	ARL:addTradeSkillSpell(20032, 300, L["Enchant Weapon - Lifestealing Obt"])
	ARL:addTradeSkillSpell(20035, 300, L["Enchant 2H Weapon - Major Spirit Obt"])
	ARL:addTradeSkillSpell(27906, 320, L["Enchant Bracer - Major Defense Obt"])
	ARL:addTradeSkillSpell(27950, 320, L["Enchant Boots - Fortitude Obt"])
	ARL:addTradeSkillSpell(27951, 340, L["Enchant Boots - Dexterity Obt"])
	ARL:addTradeSkillSpell(27968, 340, L["Enchant Weapon - Major Intellect Obt"])
	ARL:addTradeSkillSpell(27914, 350, L["Enchant Bracer - Fortitude Obt"])
	ARL:addTradeSkillSpell(27971, 350, L["Enchant 2H Weapon - Savagery Obt"])
	ARL:addTradeSkillSpell(27975, 350, L["Enchant Weapon - Major Spellpower Obt"])
	ARL:addTradeSkillSpell(34005, 350, L["Enchant Cloak - Greater Arcane Resistance Obt"])
	ARL:addTradeSkillSpell(34006, 350, L["Enchant Cloak - Greater Shadow Resistance Obt"])
	ARL:addTradeSkillSpell(27917, 360, L["Enchant Bracer - Spellpower Obt"])
	ARL:addTradeSkillSpell(27977, 360, L["Enchant 2H Weapon - Major Agility Obt"])
	ARL:addTradeSkillSpell(47051, 375, L["Enchant Cloak - Steelweave"])
	ARL:addTradeSkillSpell(46578, 375, L["Unknown"])

	-- Seasonal
	ARL:addTradeSkillSpell(21931, 190, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkillSpell(23799, 290, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(23803, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(23804, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkillSpell(23800, 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkillSpell(23801, 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkillSpell(27837, 290, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkillSpell(23802, 300, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkillSpell(25081, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(25082, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Circle"]), {BFAC["Cenarion Circle"]})
	ARL:addTradeSkillSpell(25129, 300, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(25130, 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkillSpell(25080, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkillSpell(25072, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkillSpell(25083, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkillSpell(25084, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkillSpell(25086, 300, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkillSpell(27911, 325, ARL:ARL_AddReputation2(BFAC["Friendly"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkillSpell(34003, 325, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkillSpell(27967, 340, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Consortium"]), {BFAC["The Consortium"]})
	ARL:addTradeSkillSpell(27960, 345, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkillSpell(33999, 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkillSpell(42620, 350, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["The Violet Eye"]), {BFAC["The Violet Eye"], L["Raid"]})
	ARL:addTradeSkillSpell(34010, 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkillSpell(27920, 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Consortium"]), {BFAC["The Consortium"], L["Raid"]})
	ARL:addTradeSkillSpell(27924, 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkillSpell(33994, 360, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkillSpell(33997, 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Keepers of Time"]), {BFAC["Keepers of Time"]})
	ARL:addTradeSkillSpell(27926, 370, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkillSpell(27927, 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkillSpell(46594, 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkillSpell(45765, 360, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})

	-- Raid Drops
	ARL:addTradeSkillSpell(22749, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkillSpell(22750, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkillSpell(25073, 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkillSpell(25074, 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkillSpell(25078, 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkillSpell(25079, 300, L["AQ20/AQ40"], {L["Raid"]})
	ARL:addTradeSkillSpell(27954, 370, L["Enchant Boots - Surefooted Obt"], {L["Raid"]})
	ARL:addTradeSkillSpell(27981, 375, L["Enchant Weapon - Sunfire Obt"], {L["Raid"]})
	ARL:addTradeSkillSpell(27982, 375, L["Enchant Weapon - Soulfrost Obt"], {L["Raid"]})
	ARL:addTradeSkillSpell(27984, 375, L["Enchant Weapon - Mongoose Obt"], {L["Raid"]})
	ARL:addTradeSkillSpell(42974, 375, L["ZA"], {L["Raid"]})

end
